package com.neusoft.smart.pos.user.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class UserLoginRecordKey implements Serializable{
    private static final long serialVersionUID = 1L;
    private Integer id;
    private String username;
    private Integer orgId;
    private Integer shopId;
    private String serialNo;
    private String status; //状态编号@1:登入@2:登出
    private Date createdAt;
    private String isShift; //是否交接班@0未交接班@1交接班

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getIsShift() {
        return isShift;
    }

    public void setIsShift(String isShift) {
        this.isShift = isShift;
    }
}
